/*

	Interface: BoardCellViewer
	Description: Interface used by the viewer class of a cell.
				 It makes easier to change the graphical representation the
				 board (e.g. an array of buttons vs. a single custom
				 component).
	Author: Roberto Virga

	All rights reserved. Permission to copy/use only upon previous
	notification to the author(s).

*/

package programs.games.minesweeper;

interface BoardCellViewer {
	public static final int CLOSED = -1;
	public static final int CLOSED_SELECTED = -2;
	public static final int BOMB = -3;
	public static final int TRIGGER = -4;
	public static final int FLAGGED = -5;
	public static final int UNKNOWN = -6;
	public static final int UNKNOWN_SELECTED = -7;
	public static final int CROSSED = -8;

	public void draw(int row, int column, int state);
}
