/*

	Class: CellNeighborhood
	Description: Collection of cells adjacent to a given one.
	Author: Roberto Virga

	All rights reserved. Permission to copy/use only upon previous
	notification to the author(s).

*/

package programs.games.minesweeper;

class CellNeighborhood {
	// positions of the neighboring cells
	final static int CENTER = 0;
	final static int NORTH = 1;
	final static int SOUTH = 2;
	final static int EAST = 3;
	final static int WEST = 4;
	final static int NORTHEAST = 5;
	final static int NORTHWEST = 6;
	final static int SOUTHEAST = 7;
	final static int SOUTHWEST = 8;

	BoardCell[] position = new BoardCell[9];

	public CellNeighborhood(BoardCell center) {
		position[CENTER] = center;
	}

	void open() {

		int i;

		for(i = 0; i < position.length; i++)
			if(position[i] != null)
				position[i].open();
	}

	void select(boolean selected) {

		int i;

		for(i = 0; i < position.length; i++)
			if(position[i] != null)
				position[i].select(selected);
	}


	int bombCount() {

		int i, count;

		for(i = 0, count = 0; i < position.length; i++)
			if(position[i] != null && position[i].bomb)
				count++;

		return count;
	}

	int flagCount() {

		int i, count;

		for(i = 0, count = 0; i < position.length; i++)
			if(position[i] != null && (position[i].mark == 1))
				count++;

		return count;
	}
}
