/*

	Class: ClockThread
	Description: Concurrent process incrementing the "time elapsed" counter.
	Author: Roberto Virga

	All rights reserved. Permission to copy/use only upon previous
	notification to the author(s).

*/

package programs.games.minesweeper;

class ClockThread extends Thread {
	private LEDDisplay display;     // clock display
	private int counter;            // number of seconds elapsed

	public ClockThread(LEDDisplay display) {
		this.display = display;
		counter = 0;
		display.setValue(counter);
	}

	public void run() {
		while(true) {
			display.setValue(++counter);
			try {
				sleep(1000);
			} catch (InterruptedException e) {}
		}
	}
}
