/*

	Interface: MultipleColorModes
	Description: Interface implemented by all those components which
				admit different color depths.
	Author: Roberto Virga

	All rights reserved. Permission to copy/use only upon previous
	notification to the author(s).

*/

package programs.games.minesweeper;

public interface MultipleColorModes {
	public static final int COLOR_MODES = 2;	// number of modes

	public static final int MODE_BW = 0;		// monochrome
	public static final int MODE_COLOR = 1;		// full color

	public int getColorMode();					// get the current color mode
	public void setColorMode(int mode);			// change the color mode
}